Show / Hide Table of Contents

# Interface IOpenIddictMongoDbContext

Exposes the MongoDB database used by the OpenIddict stores.

###### Namespace: OpenIddict.MongoDb

###### Assembly: cs.temp.dll.dll

##### Syntax

    public interface IOpenIddictMongoDbContext

### Methods

#### GetDatabaseAsync(CancellationToken)

Gets the .

##### Declaration

    ValueTask<IMongoDatabase> GetDatabaseAsync(CancellationToken cancellationToken)

##### Parameters

Type | Name | Description
--- | --- | ---
CancellationToken | cancellationToken |

##### Returns

Type | Description
--- | ---
ValueTask<IMongoDatabase> | A that can be used to monitor the asynchronous operation, whose result returns the MongoDB database.